KnowBrainer Speech Recognition
Decrease font size
Increase font size
Topic Title: Installing natlink, incredibly basic error message results
Topic Summary:
Created On: 10/21/2020 03:29 AM
Status: Post and Reply
Linear : Threading : Single : Branch
 Installing natlink, incredibly basic error message results   - carljr17 - 10/21/2020 03:29 AM  
 Installing natlink, incredibly basic error message results   - monkey8 - 10/22/2020 10:55 AM  
 Installing natlink, incredibly basic error message results   - carljr17 - 10/24/2020 11:01 PM  
Keyword
 10/21/2020 03:29 AM
User is offline View Users Profile Print this message

Author Icon
carljr17
New Member

Posts: 10
Joined: 06/19/2016

I'm following the directions for installing natlink with Dragon 15 and Windows 10. I installed everything as instructed (https://qh.antenna.nl/unimacro/installation/configuration.html), but I get the following error when I try to start start_configurenatlink.py:

Traceback (most recent call last):

  File "C:\Natlink\Natlink\confignatlinkvocolaunimacro\configurenatlink.pyw", line 1363, in

    app = MyApp(True)

  File "C:\Python27\lib\site-packages\wx\core.py", line 2194, in __init__

    self._BootstrapApp()

SystemExit: OnInit returned false, exiting...

If anyone knows what this means, please let me know. Thanks, Carl


-------------------------
Thanks, Carl

Carl Mueller, Jr.
carljr17@hotmail.com
http://www.carlmuellerjr.com

 10/22/2020 10:55 AM
User is offline View Users Profile Print this message

Author Icon
monkey8
Top-Tier Member

Posts: 3591
Joined: 01/14/2008

Make sure you're running the latest version of Python 2.7 which is 2.7.18

 

https://www.python.org/ftp/python/2.7.18/python-2.7.18.msi

 

When installing the python modules make sure you use the following pip commands from the command prompt in administrator mode:

 

C:\Python27\Scripts>..\python -m pip install --upgrade pip

C:\Python27\Scripts>pip install wxpython==4.0.3

C:\Python27\Scripts>pip install pywin32

C:\Python27\Scripts>pip install six

C:\Python27\Scripts>pip install future

 

When I installed on a new computer initially I didn't have the ==4.0.3 when installing wxpython and got the same error as you. It previously used to work without the ==4.0.3. I got the augmented pip instructions from QH, thanks. I have also attached my simplified installation guide for installing natlink from scratch which others might find useful.

 






-------------------------



 10/24/2020 11:01 PM
User is offline View Users Profile Print this message

Author Icon
carljr17
New Member

Posts: 10
Joined: 06/19/2016

Thank you so much! It is indeed now working.

-------------------------
Thanks, Carl

Carl Mueller, Jr.
carljr17@hotmail.com
http://www.carlmuellerjr.com
Statistics
31824 users are registered to the KnowBrainer Speech Recognition forum.
There are currently 0 users logged in.
The most users ever online was 12124 on 09/09/2020 at 04:59 AM.
There are currently 469 guests browsing this forum, which makes a total of 469 users using this forum.

FuseTalk Standard Edition v4.0 - © 1999-2020 FuseTalk™ Inc. All rights reserved.